var SVN_REPOSITORIES = {
		pluginName : "CATSVNPlugin",
		savedPrivateKey : "",
		pluginContext : CATPluginManager.getContext("CATSVNPlugin"),
		baseUrl : pluginContext.contextPath,
		invokePropertyFiles : function (){
			//Loading properties for internationalization
			jQuery.i18n.properties({
				name: "messages", 
				path: $('#basePath').val()+"/resources/svnResourceStrings/", 
				mode: 'both', 
				language :PLUGIN_UTIL.getLanguage()
			});
		},
		redirectSVNRepoList : function(){
			window.location.href = $('#basePath').val() + "/jspHandler/svnAllRepo?serviceId="+$('#serviceId').val()+"&serviceKey="+$('#serviceKey').val();
		},
		deleteSvnRepository : function(context) {
			var fieldData = {};
			fieldData.serviceId=  $(context).data("serviceid");
			fieldData.repoId = $(context).data("repoid");
			
			F.confirm(plugin.svn.deleteRepoConfirmMsg, {
				width : 350,
				on_ok : function() {
					$.ajax({
						method: 'POST',
						url: SVN_REPOSITORIES.baseUrl + '/svnDeleteRepo',
						data: fieldData,
						dataType: "json",
						cache: false,
						success : function(response) {
							//$('#loadingView').hide();
							//console.log("submit ",response);
							SVN_REPOSITORIES.redirectSVNRepoList();
						},
						error : function(XMLHttpRequest, textStatus, errorThrown) {
							//console.log(XMLHttpRequest,textStatus,errorThrown);
							$('#loadingView').hide();
							F.pluginDialog("Error " + XMLHttpRequest.status, "Something wrong happens while submitting form", "", "OK", "error", false, {
								width : 300,
							});
						}
					});
			    }
		    });
		}
		
}
$(document).ready(function(){
	$(".deleteRepo").click(function() {
		SVN_REPOSITORIES.deleteSvnRepository(this);
	});
	//loads the internationalization
	SVN_REPOSITORIES.invokePropertyFiles();
});

