var SVN_SETTING = {
		pluginName : "CATSVNPlugin",
		savedPrivateKey : "",
		pluginContext : CATPluginManager.getContext("CATSVNPlugin"),
		baseUrl : pluginContext.contextPath,
		invokePropertyFiles : function (){
			//Loading properties for internationalization
			jQuery.i18n.properties({
				name: "messages", 
				path: $('#basePath').val()+"/resources/svnResourceStrings/", 
				mode: 'both', 
				language :PLUGIN_UTIL.getLanguage()
			});
		},
		redirectSVNRepoList : function(){
			window.location.href = $('#basePath').val() + "/jspHandler/svnAllRepo?serviceId="+$('#serviceId').val()+"&serviceKey="+$('#serviceKey').val();
		},
		saveSvnSettings : function(){
			
			/*var onOff = $("input[name='svnSettingEnable']:checked").val();
			if(onOff === '0') {
				var errorMsg = this.validateForm();
				if(errorMsg != "") {
					$('#fieldValidationDiv').html(errorMsg);
					$("#fieldValidationDiv").show();
					return;
				} else {
					$('input,textarea,label').removeClass('repo-field-error');
					$("#fieldValidationDiv").hide();
				}	
			}*/
			var onOff = $("input[name='svnSettingEnable']:checked").val();
			var isNewReg = $("#isNewOrEdit").val();
			if(isNewReg === "NEW" && onOff === '0') {
				F.alert(plugin.svn.htmlLabel.newRegOffError);
				return;
			}
			
			$('#loadingView').show();
				
				var fieldData = {};
            	if( $('#toggleOption').is(':checked') ){
            		fieldData = {
            				"scmEnable" :  $("input[name='svnSettingEnable']:checked").val(),
                	    	"serviceId": $('#serviceId').val(),
                	    	"serviceKey": $('#serviceKey').val(),
                	    	"repoType" : 1,
                	    	"scmRepoPath": ($('#svnRepoName').val()).trim(),
                	    	"scmUname" : $('#svnUnm').val().trim(),
                	    	"scmPass": "",
                	    	"scmPivateKey": ( $('#hiddenPrivateKey').val() != "" ) ? $('#hiddenPrivateKey').val().trim() : $('#svnPrivateKey').val().trim(),
                	    	"scmPassPhrase" : $('#svnPassPhrase').val().trim(),
                	    	"portNumber": $('#svnPortNumber').val().trim(),
                	    	"scmRepoName": $('#svnRepositoryName').val().trim(),
                	    	"scmCollaborationProject" : JSON.stringify($('#svnProjectListId').val()),
                	    	"scmRepoId" : $('#svnIdDb').val(),
                	    	"isNewOrEdit" : $("#isNewOrEdit").val()
	            	};
            	}else{
            		fieldData = {
            				"scmEnable" :  $("input[name='svnSettingEnable']:checked").val(),
            				"serviceId": $('#serviceId').val(),
                	    	"serviceKey": $('#serviceKey').val(),
                	    	"repoType" : 1,
                	    	"scmRepoPath": ($('#svnRepoName').val()).trim(),
                	    	"scmUname" : $('#svnUnm').val().trim(),
                	    	"scmPass": $('#svnPass').val().trim(),
                	    	"scmPivateKey": "",
                	    	"scmPassPhrase" : "",
                	    	"portNumber": "",
                	    	"scmRepoName": $('#svnRepositoryName').val().trim(),
                	    	"scmCollaborationProject" : JSON.stringify($('#svnProjectListId').val()),
                	    	"scmRepoId" : $('#svnIdDb').val(),
                	    	"isNewOrEdit" : $("#isNewOrEdit").val()
	            	};
            	}
			$.ajax({
				method: 'POST',
				url: SVN_SETTING.baseUrl + '/saveSetting',
				data: fieldData,
				dataType: "json",
				cache: false,
				success : function(response) {
					$('#loadingView').hide();
					console.log("submit ",response);
					if(response === 1) {
						SVN_SETTING.redirectSVNRepoList();	
					}					
				},
				error : function(XMLHttpRequest, textStatus, errorThrown) {
					//console.log(XMLHttpRequest,textStatus,errorThrown);
					$('#loadingView').hide();
					F.pluginDialog("Error " + XMLHttpRequest.status, "Something wrong happens while submitting form", "", "OK", "error", false, {
						width : 300,
					});
				}
			});
		},
		switchIntegrationSettingOnOff : function(onOff){
			$('#svnEnable').val(onOff);
			if(onOff == 0){
				SVN_SETTING.disableFields();
			}
			else{
				SVN_SETTING.enableFields();
				
			}
		},
		clickOnCancelAndRedirect : function(){
			
			F.confirm(plugin.svn.cancelSettingMsg, {
				width : 350,
				height: 80,
				textAlign: 'center',
				on_ok : function() {
					//window.location.href = $('#basePath').val() + "/jspHandler?projectId="+$('#projectId').val()+"&projectKey="+$('#projectKey').val();
					window.location.href = $('#basePath').val() + "/jspHandler/svnAllRepo?serviceId="+$('#serviceId').val()+"&serviceKey="+$('#serviceKey').val();
			    }
		    });
		},
		validateForm : function() {
			//for clear the previous validation highlighted classes 
			$('input,textarea,label').removeClass('repo-field-error');
			$('.svnProjectList>ul').removeClass('repo-field-error-select2');
			
			var errorMsg = "";
			var repoPath = $('#svnRepoName').val().trim();
			
			if($('#svnRepositoryName').val().trim() == "") {
				errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.repositoryNameValidation + "<br>";
				$('#svnRepositoryName').addClass("repo-field-error");
			}
			
			if($('#svnRepositoryName').val().trim().length > 50) {
				errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.repositoryNameMaxLengthValidation + "<br>";
				$('#svnRepositoryName').addClass("repo-field-error");
			}
			
			if($('#svnRepoName').val().trim() == ""){
				errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.repositoryValidation + "<br>";
				$('#svnRepoName').addClass("repo-field-error");
			} else if(repoPath.indexOf("svn://") != 0 && repoPath.indexOf("svn+ssh://") != 0){
				errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.checkProtocol + "<br>";
				$('#svnRepoName').addClass("repo-field-error");
			} else if ($("#toggleOption").is(':checked') && repoPath.indexOf("svn+ssh://") != 0){
				errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.svnProtocolCheckbox + "<br>";
				$('#useSvnSshLabel').addClass('repo-field-error');
			} else if ($("#toggleOption").is(':checked') && repoPath.indexOf("svn+ssh://") == 0) {
				if($('#svnPrivateKey').is(":visible") && $('#svnPrivateKey').val().trim() == ""){
					errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.svnPrivateKeyValidation + "<br>";
					$('#svnPrivateKey').addClass('repo-field-error');
				}
				
				if($('#svnPortNumber').val().trim() == ""){
					errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.svnPortNumberValidation + "<br>";
					$('#svnPortNumber').addClass('repo-field-error');
				} else {
					if($('#svnPortNumber').val().trim() != ""){
						if (!(/^\d+$/.test($('#svnPortNumber').val()))){
							errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.portNumberValidation + "<br>";
							$('#svnPortNumber').addClass('repo-field-error');
						}
					}
				}
			} else {
				if( (repoPath.indexOf("svn://") == 0) && ($("#toggleOption").is(':checked')) ){
					errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.svnProtocolCheckbox + "<br>";
					$('#useSvnSshLabel').addClass('repo-field-error');
				}else if ( (repoPath.indexOf("svn+ssh://") == 0) && !($("#toggleOption").is(':checked')) ){
					errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.svnSshProtocolCheckbox + "<br>";
					$('#useSvnSshLabel').addClass('repo-field-error');
				}
			}
			
			// MEMO: Seperate validations
			// Use svn+ssh == off && Password == required
			if($('#svnPass').val().trim() == "" && $("#toggleOption").is(':checked') === false) {
				errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.passwordValidation + "<br>";
				$('#svnPass').addClass('repo-field-error');
			}
			
			if($('#svnUnm').val().trim() == ""){
				errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.usernameValidation + "<br>";
				$('#svnUnm').addClass('repo-field-error');
			}
			
			if(jQuery.isEmptyObject($('#svnProjectListId').val())) {
				errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.collaborationProjectValidation + "<br>";
				$('.svnProjectList>ul').addClass('repo-field-error-select2');
			}
			var fieldData = {};
        	if( $('#toggleOption').is(':checked') ){
        		fieldData = {
        				"scmEnable" :  $("input[name='svnSettingEnable']:checked").val(),
            	    	"serviceId": $('#serviceId').val(),
            	    	"serviceKey": $('#serviceKey').val(),
            	    	"repoType" : 1,
            	    	"scmRepoPath": ($('#svnRepoName').val()).trim(),
            	    	"scmUname" : $('#svnUnm').val().trim(),
            	    	"scmPass": "",
            	    	"scmPivateKey": ( $('#hiddenPrivateKey').val() != "" ) ? $('#hiddenPrivateKey').val().trim() : $('#svnPrivateKey').val().trim(),
            	    	"scmPassPhrase" : $('#svnPassPhrase').val().trim(),
            	    	"portNumber": $('#svnPortNumber').val().trim(),
            	    	"scmRepoName": $('#svnRepositoryName').val().trim(),
            	    	"scmCollaborationProject" : JSON.stringify($('#svnProjectListId').val()),
            	    	"scmRepoId" : $('#svnIdDb').val(),
            	    	"isNewOrEdit" : $("#isNewOrEdit").val()
            	};
        	}else{
        		fieldData = {
        				"scmEnable" :  $("input[name='svnSettingEnable']:checked").val(),
        				"serviceId": $('#serviceId').val(),
            	    	"serviceKey": $('#serviceKey').val(),
            	    	"repoType" : 1,
            	    	"scmRepoPath": ($('#svnRepoName').val()).trim(),
            	    	"scmUname" : $('#svnUnm').val().trim(),
            	    	"scmPass": $('#svnPass').val().trim(),
            	    	"scmPivateKey": "",
            	    	"scmPassPhrase" : "",
            	    	"portNumber": "",
            	    	"scmRepoName": $('#svnRepositoryName').val().trim(),
            	    	"scmCollaborationProject" : JSON.stringify($('#svnProjectListId').val()),
            	    	"scmRepoId" : $('#svnIdDb').val(),
            	    	"isNewOrEdit" : $("#isNewOrEdit").val()
            	};
        	}			
			$.ajax({
				method: 'POST',
				url: SVN_SETTING.baseUrl + '/validateSvnSetting',
				data: fieldData,
				dataType: "json",
				cache: false,
				async: false,
				success : function(response) {
					if(response.validateError == "1"){
						errorMsg = errorMsg + plugin.svn.validation.svnSettingScreen.repositoryNameAlreadyExist + "<br>";
						$('#svnRepositoryName').addClass("repo-field-error");
					}else if(response.validateError == "2"){
						var str = plugin.svn.htmlLabel.maxRepoErrorLabel + "<br>" + response.validateErrorMessage;
						errorMsg = errorMsg + str + "<br>";
						$('.svnProjectList>ul').addClass('repo-field-error-select2');
					}
				}
			});

			return errorMsg;
		},
		testSvnRepository : function(){
			var errorMsg = this.validateForm();
			
			if(errorMsg != ""){
				$('#fieldValidationDiv').html(errorMsg);
				$("#fieldValidationDiv").show();
			}
			else{
				
				$('input,textarea,label').removeClass('repo-field-error');
				$('.svnProjectList>ul').removeClass('repo-field-error-select2');
				
				$("#fieldValidationDiv").hide();
				var testConfirmationTitle = plugin.svn.testConnectionMessage.testConnectionConfirmation.title;
				var testConfirmationMsg = plugin.svn.testConnectionMessage.testConnectionConfirmation.msgBody + "</br>" + $('#svnRepoName').val();
				var testConfirmationOkBtnLabel = plugin.svn.htmlLabel.okButtonLabel;
				var testConfirmationCancelBtnLabel = plugin.svn.htmlLabel.cancelButtonLabel;
				
				F.pluginDialog(testConfirmationTitle, testConfirmationMsg, testConfirmationOkBtnLabel, testConfirmationCancelBtnLabel, "question", true, {
					width : 600, 
		            on_ok : function() {
		            	$('#loadingView').show();
		            	var svnData = {};
		            	if( $('#toggleOption').is(':checked') ){
		            		svnData = {
			            	    	"svnId" : $('#svnIdDb').val(),
			            	    	"scmRepoPath": $('#svnRepoName').val().trim(),
			            	    	"scmUname": $('#svnUnm').val().trim(),
			            	    	"scmPass": "",
			            	    	"scmPivateKey": ( $('#hiddenPrivateKey').val() != "" ) ? $('#hiddenPrivateKey').val().trim() : $('#svnPrivateKey').val().trim(),
			            	    	"scmPassPhrase" : $('#svnPassPhrase').val().trim(),
			            	    	"portNumber": $('#svnPortNumber').val().trim()
			            	};
		            	}else{
		            		svnData = {
			            	    	"svnId" : $('#svnIdDb').val(),
			            	    	"scmRepoPath": $('#svnRepoName').val().trim(),
			            	    	"scmUname": $('#svnUnm').val().trim(),
			            	    	"scmPass": $('#svnPass').val().trim(),
			            	    	"scmPivateKey": "",
			            	    	"scmPassPhrase" : "",
			            	    	"portNumber": ""
			            	};
		            	}
		            	
		            	
						$.ajax({
							method: 'POST',
							url: SVN_SETTING.baseUrl + '/testSvnRepo',
							data: svnData,
							dataType: "json",
							cache: false,
							success : function(response) {
								console.log(response);
								$('#loadingView').hide();
								$('#testConnection').val(response.testResponce);
								var testResultTitle = plugin.svn.testConnectionMessage.testConnectionResult.title;
								
								if(response.testResponce == "1"){
									$('#btnSaveSvnSetting').prop('disabled', false);
									var testResultSuccessMsg = plugin.svn.testConnectionMessage.testConnectionResultSuccess.msgBody;
									var testResultSuccessSaveBtnLabel = plugin.svn.htmlLabel.saveButtonLabel;
									var testResultSuccessCancelBtnLabel = plugin.svn.htmlLabel.cancelButtonLabel;
									F.pluginDialog(testResultTitle, testResultSuccessMsg, testResultSuccessSaveBtnLabel, testResultSuccessCancelBtnLabel, "question", true, {
										width : 500,
										on_ok : function() {
											SVN_SETTING.saveSvnSettings();
										}
									});	
								}else{
									var testResultFailMsg = plugin.svn.testConnectionMessage.testConnectionResultFail.msgBody + "</br></br>" + response.testMsg;
									var testResultFailCancelBtnLabel = plugin.svn.htmlLabel.closeButtonLabel;
									
									F.pluginDialog(testResultTitle, testResultFailMsg, "", testResultFailCancelBtnLabel, "error", false, {
										width : 500,
									});
								}
							},
							error : function(XMLHttpRequest, textStatus, errorThrown) {
								$('#loadingView').hide();
								F.pluginDialog("Error " + XMLHttpRequest.status, "Something wrong happens while submitting form", "", "OK", "error", false, {
									width : 300,
								});
							}
						});
		             }
				});
			}
		},
		setTestRepoFlag : function(){
			$('#btnSaveSvnSetting').prop('disabled', true);
			$('#testConnection').val("0");
		},
		showPrivateKeyBox : function(){
			SVN_SETTING.savedPrivateKey = $('#hiddenPrivateKey').val();
			$('#hiddenPrivateKey').val("");
			SVN_SETTING.setTestRepoFlag();
			$('#svnPrivateKey').show();
			$('#imgClosePrivatekey').show();
		},
		closePrivateKeyBox : function(){
			$('#hiddenPrivateKey').val(SVN_SETTING.savedPrivateKey);
			SVN_SETTING.setTestRepoFlag();
			$('#svnPrivateKey').hide();
			$('#imgClosePrivatekey').hide();
		},
		disableFields : function(){
			$('.scmRepositoryNameRow').addClass("repo-disable");
			$('.scmRepoType').addClass("repo-disable");
			$(".scmRepoLocationRow").addClass("repo-disable");
			$(".scmUserNameRow").addClass("repo-disable");
			$(".scmPasswordRow").addClass("repo-disable");
			$('.scmOptionRow').addClass("repo-disable");
			$('.scmProjectListRow').addClass("repo-disable");
			$('#btnSaveSvnSetting').prop('disabled', false);
			$('#testCheckSvnRepo').prop('disabled', true);
			$("#fieldValidationDiv").hide();
			$('input,textarea,label').removeClass('repo-field-error');
			$('.svnProjectList>ul').removeClass('repo-field-error-select2');
			$('input[type="text"],input[type="password"],textarea').prop('disabled',true);
			$('#svnProjectListId').select2('disable');
			
			if($("#toggleOption").is(':checked'))
				$('#svnPass').prop('disabled', true);
		},
		enableFields : function(){
			$('#btnSaveSvnSetting').prop('disabled', true);
			$('#testCheckSvnRepo').prop('disabled', false);
			$("#fieldValidationDiv").hide();
			$('input,textarea,label').removeClass('repo-field-error');
			$('.svnProjectList>ul').removeClass('repo-field-error-select2');		
			$('.scmRepositoryNameRow').removeClass("repo-disable");
			$('.scmRepoType').removeClass("repo-disable");
			$(".scmRepoLocationRow").removeClass("repo-disable");
			$(".scmUserNameRow").removeClass("repo-disable");
			$(".scmPasswordRow").removeClass("repo-disable");
			$('.scmOptionRow').removeClass("repo-disable");
			$('.scmProjectListRow').removeClass("repo-disable");			
			$('input[type="text"],input[type="password"],textarea').prop('disabled', false);
			$('#svnProjectListId').select2('enable');
			
			if($("#toggleOption").is(':checked'))
				$('#svnPass').prop('disabled', true);
		}
		
}

$(document).ready(function(){
	$('#toggleOption').change(function(){
		if ($(this).is(':checked')){
			$('#optionTable').show();
			$('#svnPass').prop('disabled', true);
			SVN_SETTING.setTestRepoFlag();
			$('#svnPortNumber').val(22);
			$("#scmPasswordTh").empty();
			$("#scmPasswordTh").removeClass("repo-mandatory-fields");
		}else{
			$('#optionTable').hide();
			
			SVN_SETTING.setTestRepoFlag();
			$('#svnPass').prop('disabled', false);
			$('#scmPasswordTh').html("*");
			$("#scmPasswordTh").addClass("repo-mandatory-fields");
		}
	});
	
	
	if($('#svnEnable').val() == 0) {
		
		$('.scmRepositoryNameRow').addClass("repo-disable");
		$('.scmRepoType').addClass("repo-disable");
		$(".scmRepoLocationRow").addClass("repo-disable");
		$(".scmUserNameRow").addClass("repo-disable");
		$(".scmPasswordRow").addClass("repo-disable");
		$('.scmOptionRow').addClass("repo-disable");
		$('.scmProjectListRow').addClass("repo-disable");
		
		$('#optionTable').hide();
		$('#testCheckSvnRepo').prop('disabled', true);
	} 
	
	//first time -1 is for New Registration
	if($('#svnEnable').val() != -1){ 
		var svnSettingDtoJson = JSON.parse($('#jsondata').val());
		
		//$('#testCheckSvnRepo').prop('disabled', false);
		
		if ($('#repoLocation').length){
			$('#svnRepoName').val($('#repoLocation').val());
		}
		if ($('#userName').length){
			$('#svnUnm').val($('#userName').val());
		}
		if ($('#pass').length){
			$('#svnPass').val($('#pass').val());
		}
		
		$('#svnRepositoryName').val(svnSettingDtoJson.repositoryName);
		
		var optTableShow = false;
		if (svnSettingDtoJson.repoPrivateKeyString != null && svnSettingDtoJson.repoPrivateKeyString != ""){
			//$('#svnPrivateKey').val(svnSettingDtoJson.repoPrivateKeyString);
			$('#hiddenPrivateKey').val(svnSettingDtoJson.repoPrivateKeyString);
			$('#svnPrivateKey').hide();
			$('#editPrivateKey').show();
			optTableShow = true;
		}
		
		
		if(svnSettingDtoJson.repoPassPhrase != null && svnSettingDtoJson.repoPassPhrase != ""){
			$('#svnPassPhrase').val(svnSettingDtoJson.repoPassPhrase);
			optTableShow = true;
		}
		if(svnSettingDtoJson.portNumber != null && svnSettingDtoJson.portNumber != 0){
			$('#svnPortNumber').val(svnSettingDtoJson.portNumber);
			optTableShow = true;
		}
		if (optTableShow) {
			$('#toggleOption').prop('checked', true);
			$('#optionTable').show();
		} else {
			$('#toggleOption').prop('checked', false);
			$('#optionTable').hide();
		}
		
	}
	
	//loads the internationalization
	SVN_SETTING.invokePropertyFiles();
	$('#toggleOption').trigger('change');
	$('#main-contents').show();
	
	$(document).on('click',"#btnEditPrivateKey",SVN_SETTING.showPrivateKeyBox);
	$(document).on('click',"#imgClosePrivatekey",SVN_SETTING.closePrivateKeyBox);
	//$(document).on('click',".CAT-dropdown", CAT_SERVICE.attachmentService.showDropdownAttachment); 
	  
	//
	var projectListJSON = JSON.parse($('#jsonProjectList').val());
	var selectedProjectId = [];
	if($('#selectedProjectIds').val())
		selectedProjectId = JSON.parse($('#selectedProjectIds').val());
	
	var select = $('#svnProjectListId');
	
	if(!($("#isOldService").val() === "true")) {
		//adding service Issue Management
		var option = $('<option></option>')
						.attr('selected',$.inArray(0,selectedProjectId)!==-1)
						.text(plugin.svn.htmlLabel.serviceIssueManagementLabel)
						.val(0);

		option.appendTo(select);		
	}

	for(var i = 0; i < projectListJSON.length; i++) {
		var x = false;
		if($.inArray(projectListJSON[i].projectId,selectedProjectId)!==-1) {
			x = true;
		}
	   var option = $('<option></option>').
	        attr('selected',x).
	        text(projectListJSON[i].projectName).
	        val(projectListJSON[i].projectId);
	   
	   option.appendTo(select);
	 }
	select.select2({
		closeOnSelect: false
	});
	
	//setting tooltip attribute to all projects in dropdown menulist
	select.on("select2-open", function(){	   
		$(".select2-result-label").each(function(){
			var element = $(this).text();
			$(this).attr('title',element);
		});
		$('.select2-result-label').addClass("select2-ellipsis");
	});
	
	//setting tooltip attribute to all selected projects	  
    select.on('change', function (e) {
    	$(".select2-search-choice div").each(function(){
			var me=$(this);
			me.attr('title', me.text());
		});
	});
    

	select.trigger('change');
	//
	if($('#svnEnable').val() == 0) {
		$("#svnSettingOff").trigger('change');	
	} else {
		$("#svnSettingOn").trigger('change');	
	}
	
	if($("#integrationRunning").val() === "1") {
		
		SVN_SETTING.disableFields();		
		$('#btnSaveSvnSetting').prop('disabled', true);
		$('.scmIntegrationFlagRow').addClass("repo-disable");
		$('#fieldValidationDiv').html(plugin.svn.validation.svnSettingScreen.integrationRunning);
		$("#fieldValidationDiv").show();
	}
	
	/*$('.svnProjectList').select2({data: data});*/
});